//	GeometryGamesStyle.swift
//
//	© 2022 by Jeff Weeks
//	See TermsOfUse.txt

import SwiftUI

let geometryGamesControlPadding: CGFloat = 8.0	//	Amount to expand the tappable area of each individual Button or Slider
let geometryGamesControlInset: CGFloat = 8.0	//	Amount to inset the control area as a whole, from the edge of the window
let geometryGamesPanelMargin: CGFloat = 8.0		//	Amount to inset a supplementary panel, from the edge of the window
let geometryGamesPanelPadding: CGFloat = 16.0	//	Amount to inset a supplementary panel's contents, from the edge of the panel itself
let geometryGamesCornerRadius: CGFloat = 16.0	//	Corner radius of a supplementary panel

//	A transparent red background responds to taps,
//	while a transparent black background does not.
//	Strange, no?
//
//	Hmmm... the geometryGamesTappableClearColor
//	lets an Image's .background accept taps, but for a Color
//	to accept taps it needs at least some tiny amount of opacity.
//
let geometryGamesTappableClearColor = Color(
					.displayP3,	//	with sRGB transfer function, not linear transfer function
					red: 1.0,
					green: 0.0,
					blue: 0.0,
					opacity: 0.0)

